Subject: Re: [yang-doctors] Yangdoctors early review of draft-ietf-rtgwg-routing-types-04

From: Radek Krejčí <[email-masked]>
Date: Mon, 12 Jun 2017 08:32:35 +0200

Hi Acee,

sorry for the delay. I've checked the changes and the document as well as both the modules seem fine to me now.

Regards,
Radek

Dne 24.5.2017 v 18:23 Acee Lindem (acee) napsal(a):
> Hi Radek, 
>
> I believe I have addressed your YANG Doctor comments in the -05 version of
> the draft. I used the template in RFC6087Bis, Appendix C which resulted in
> some reorganization of ietf-routing-types.
>
> Thanks,
> Acee 
>
> On 5/24/17, 6:45 AM, "Radek Krejčí" <[email-masked]> wrote:
>
>> Reviewer: Radek Krejčí
>> Review result: Ready with Nits
>>
>> I have reviewed changes made to draft-ietf-rtgwg-routing-types between
>> revision 02 and 04 (04 was published just a week after 03). The main
>> change is splitting the module into 2 modules: ietf-routing-types and
>> iana-routing-types.
>>
>> iana-routing-types:
>> - since it is IANA-maintained module, IANA should be the 'organization'
>> and also the 'contact' value should be changed accordingly (see
>> iana-if-type)
>>
>> ietf-routing-types:
>> - please follow the contact template available in RFC 6087 Appendix B (or
>> RFC6087bis, Appendix C)
>>
>> draft text:
>> - if iana-routing-types is supposed to be IANA-maintained module, isn't
>> IANA also supposed to be XML registrant contact (IANA Considerations
>> section)? 
>> - my fault from previous review - since the module imports
>> ietf-yang-types, it MUST contain reference to its RFC, which is RFC 6991
>> (not RFC 6021 as I wrote in my review). So move RFC 6991 reference from
>> Informative references section into Normative references where it will
>> replace reference to RFC 6021.
>>
>> Radek